From foo@baz Tue Apr  9 12:12:43 2002
To: Greg KH <greg@kroah.com>
Date: 30 Sep 2004 14:44:55 -07:00
From: greg@kroah.com
Subject: USB: fix error in bluetty.c driver caused by tty core changes.

Signed-off-by: Greg Kroah-Hartman <greg@kroah.com>

diff -Nru a/drivers/usb/class/bluetty.c b/drivers/usb/class/bluetty.c
--- a/drivers/usb/class/bluetty.c	2004-09-30 16:51:38 -07:00
+++ b/drivers/usb/class/bluetty.c	2004-09-30 16:51:38 -07:00
@@ -988,14 +988,13 @@
 static void bluetooth_softint(void *private)
 {
 	struct usb_bluetooth *bluetooth = get_usb_bluetooth ((struct usb_bluetooth *)private, __FUNCTION__);
-	struct tty_struct *tty;
 
 	dbg("%s", __FUNCTION__);
 
 	if (!bluetooth)
 		return;
 
-	tty_wakeup(&bluetooth->tty);
+	tty_wakeup(bluetooth->tty);
 }
 
 
